
TYPO3.Flow - Bug # 1064

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Configuration
Created: 2008-07-15 Assigned To: Robert Lemke
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Non-existing configuration options should throw an exception
Description

When accessing an option in a configuration container that has not been set (i.e. does not exist) an exception should be thrown.
Currently an object is returned in all cases; if using that it may have unexpected results due to automatic typecasting in PHP (e.g. it
evaluates to TRUE if used as boolean).

If an exception would be thrown the typo or missing configuration would be visible immediately.

Associated revisions
Revision a43654ac - 2008-07-18 14:35 - Robert Lemke

    -  FLOW3: (Configuration) Configuration containers are now locked by the configuration manager when they are retrieved. Fixes #1064.
    -  FLOW3: Little speed optimization (reflection) in the bootstrap.

Revision 852f6d94 - 2008-07-18 14:49 - Robert Lemke

    -  FLOW3: (Configuration) Added a more meaningful exception for the case of trying to access a non-existing configuration option. Addresses
#1064.

Revision 3e6e071f - 2008-08-05 21:38 - Robert Lemke

    -  FLOW3: (Configuration) Configuration containers are now locked recursively. Fixes #1064.
    -  FLOW3: (MVC) Since recently it was allowed to set keys like "FLOW3_MVC" as package key in the Request object in order to route into sub
packages. That was kind of dirty. Now there's a new option setControllerComponentNamePattern() which can be reached from the routes
configuration. This doesn't work in CLI mode though (routing into sub packages that is)
    -  FLOW3: (Package) The package object did not check if the specified package key is valid - now it does.
    -  TYPO3: Further experiments with the routing and the different controllers.

History
#1 - 2008-07-18 18:41 - Robert Lemke
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r1034.
#2 - 2008-08-05 21:32 - Robert Lemke
- Status changed from Resolved to Accepted
- Assigned To set to Robert Lemke
- % Done changed from 100 to 50

The configuration manager only locks the container on the first level - the container does not recursively lock its sub containers!

#3 - 2008-08-06 10:01 - Robert Lemke
- Status changed from Accepted to Resolved
- % Done changed from 50 to 100

Applied in changeset r1080.
